Index: /palm/trunk/SOURCE/init_masks.f90
===================================================================
--- /palm/trunk/SOURCE/init_masks.f90	(revision 4647)
+++ /palm/trunk/SOURCE/init_masks.f90	(revision 4648)
@@ -596,17 +579,16 @@
     DEALLOCATE( tmp_array )
 !
-!-- Internal mask arrays cannot be deallocated on PE 0 because they are
-!-- required for header output on PE 0.
+!-- Internal mask arrays cannot be deallocated on PE 0 because they are required for header output
+!-- on PE 0.
     IF ( myid /= 0 )  DEALLOCATE( mask, mask_loop )
 
  CONTAINS
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Set local mask for each subdomain along 'dim' direction.
-!------------------------------------------------------------------------------!
-    SUBROUTINE set_mask_locations( dim, dxyz, dxyz_string, nxyz, nxyz_string, &
-                                   lb, ub )
+!--------------------------------------------------------------------------------------------------!
+    SUBROUTINE set_mask_locations( dim, dxyz, dxyz_string, nxyz, nxyz_string, lb, ub )
 
        IMPLICIT NONE
@@ -614,5 +596,5 @@
        CHARACTER (LEN=2) ::  dxyz_string !<
        CHARACTER (LEN=2) ::  nxyz_string !<
-       
+
        INTEGER(iwp)  ::  count       !<
        INTEGER(iwp)  ::  count_l     !<
@@ -625,5 +607,5 @@
        INTEGER(iwp)  ::  nxyz        !<
        INTEGER(iwp)  ::  ub          !<
-       
+
        REAL(wp)      ::  dxyz  !<
        REAL(wp)      ::  ddxyz !<
@@ -631,6 +613,6 @@
        REAL(wp)      ::  tmp2  !<
 
-       count = 0;  count_l = 0  
-       ddxyz = 1.0_wp / dxyz  
+       count = 0;  count_l = 0
+       ddxyz = 1.0_wp / dxyz
        tmp1  = 0.0_wp
        tmp2  = 0.0_wp
@@ -638,8 +620,8 @@
        IF ( mask(mid,dim,1) >= 0.0_wp )  THEN
 !
-!--       use predefined mask_* array
+!--       Use predefined mask_* array
           DO  WHILE ( mask(mid,dim,count+1) >= 0.0_wp )
              count = count + 1
-             IF ( dim == 1 .OR. dim == 2 )  THEN
+             IF ( dim == 1  .OR.  dim == 2 )  THEN
                 m = NINT( mask(mid,dim,count) * mask_scale(dim) * ddxyz - 0.5_wp )
                 IF ( m < 0 )  m = 0  ! avoid negative values
@@ -650,11 +632,11 @@
              ENDIF
              IF ( m > (nxyz+1) )  THEN
-                WRITE ( message_string, '(I3,A,I3,A,I1,3A,I3)' )               &
-                     m,' in mask ',mid,' along dimension ',dim,                &
-                     ' exceeds (',nxyz_string,'+1) = ',nxyz+1
+                WRITE ( message_string, '(I3,A,I3,A,I1,3A,I3)' )  m, ' in mask ', mid,             &
+                                                                  ' along dimension ' ,dim,        &
+                                                                  ' exceeds (' ,nxyz_string,       &
+                                                                  '+1) = ', nxyz+1
                 CALL message( 'init_masks', 'PA0331', 1, 2, 0, 6, 0 )
              ENDIF
-             IF ( ( m >= lb .AND. m <= ub ) .OR.     &
-                  ( m == (nxyz+1) .AND. ub == nxyz )  )  THEN
+             IF ( ( m >= lb  .AND.  m <= ub )  .OR.  ( m == (nxyz+1)  .AND.  ub == nxyz )  )  THEN
                 IF ( count_l == 0 )  mask_start_l(mid,dim) = count
                 count_l = count_l + 1
@@ -674,6 +656,6 @@
        ELSE
 !
-!--       use predefined mask_loop_* array, or use the default (all grid points
-!--       along this direction)
+!--       Use predefined mask_loop_* array, or use the default (all grid points along this
+!--       direction)
           IF ( mask_loop(mid,dim,1) < 0.0_wp )  THEN
              tmp1 = mask_loop(mid,dim,1)
@@ -687,18 +669,14 @@
              IF ( MAXVAL( mask_loop(mid,dim,1:2) )  &
                   > (nxyz+1) * dxyz / mask_scale(dim) )  THEN
-                WRITE ( message_string, '(2(A,I3,A,I1,A,F9.3),5A,I1,A,F9.3)' ) &
-                     'mask_loop(',mid,',',dim,',1)=',mask_loop(mid,dim,1),     &
-                     ' and/or mask_loop(',mid,',',dim,',2)=', &
-                     mask_loop(mid,dim,2),' exceed (', &
-                     nxyz_string,'+1)*',dxyz_string,'/mask_scale(',dim,')=',   &
+                WRITE ( message_string, '(2(A,I3,A,I1,A,F9.3),5A,I1,A,F9.3)' )                     &
+                     'mask_loop(', mid, ',', dim, ',1)=', mask_loop(mid,dim,1),                    &
+                     ' and/or mask_loop(', mid, ',', dim, ',2)=', mask_loop(mid,dim,2),            &
+                     ' exceed (', nxyz_string,'+1)*',dxyz_string,'/mask_scale(',dim,')=',          &
                      (nxyz+1)*dxyz/mask_scale(dim)
                 CALL message( 'init_masks', 'PA0332', 1, 2, 0, 6, 0 )
              ENDIF
-             loop_begin  = NINT( mask_loop(mid,dim,1) * mask_scale(dim)        &
-                  * ddxyz - 0.5_wp )
-             loop_end    = NINT( mask_loop(mid,dim,2) * mask_scale(dim)        &
-                  * ddxyz - 0.5_wp )
-             loop_stride = NINT( mask_loop(mid,dim,3) * mask_scale(dim)        &
-                  * ddxyz )
+             loop_begin  = NINT( mask_loop(mid,dim,1) * mask_scale(dim) * ddxyz - 0.5_wp )
+             loop_end    = NINT( mask_loop(mid,dim,2) * mask_scale(dim) * ddxyz - 0.5_wp )
+             loop_stride = NINT( mask_loop(mid,dim,3) * mask_scale(dim) * ddxyz )
              IF ( loop_begin == -1 )  loop_begin = 0  ! avoid negative values
           ELSEIF ( dim == 3 )  THEN
@@ -707,36 +685,29 @@
                 mask_loop(mid,dim,2) = zu(nz+1) / mask_scale(dim)   ! (default)
              ENDIF
-             IF ( MAXVAL( mask_loop(mid,dim,1:2) )  &
-                  > zu(nz+1) / mask_scale(dim) )  THEN
-                WRITE ( message_string, '(2(A,I3,A,I1,A,F9.3),A,I1,A,F9.3)' )  &
-                     'mask_loop(',mid,',',dim,',1)=',mask_loop(mid,dim,1),     &
-                     ' and/or mask_loop(',mid,',',dim,',2)=', &
-                     mask_loop(mid,dim,2),' exceed zu(nz+1)/mask_scale(',dim,  &
-                     ')=',zu(nz+1)/mask_scale(dim)
+             IF ( MAXVAL( mask_loop(mid,dim,1:2) ) > zu(nz+1) / mask_scale(dim) )  THEN
+                WRITE ( message_string, '(2(A,I3,A,I1,A,F9.3),A,I1,A,F9.3)' )                      &
+                      'mask_loop(', mid, ',', dim, ',1)=', mask_loop(mid,dim,1),                   &
+                      ' and/or mask_loop(', mid, ',', dim, ',2)=', mask_loop(mid,dim,2),           &
+                      ' exceed zu(nz+1)/mask_scale(', dim, ')=',zu(nz+1)/mask_scale(dim)
                 CALL message( 'init_masks', 'PA0333', 1, 2, 0, 6, 0 )
              ENDIF
-             ind_array =  &
-                  MINLOC( ABS( mask_loop(mid,dim,1) * mask_scale(dim) - zu ) )
-             loop_begin =  &
-                  ind_array(1) - 1 + nzb ! MINLOC uses lower array bound 1
-             ind_array =  &
-                  MINLOC( ABS( mask_loop(mid,dim,2) * mask_scale(dim) - zu ) )
-             loop_end = ind_array(1) - 1 + nzb ! MINLOC uses lower array bound 1
-!
-!--          The following line assumes a constant vertical grid spacing within
-!--          the vertical mask range; it fails for vertical grid stretching.
-!--          Maybe revise later. Issue warning but continue execution. ABS(...)
-!--          within the IF statement is necessary because the default value of
-!--          dz_stretch_level_start is -9999999.9_wp.
+             ind_array  = MINLOC( ABS( mask_loop(mid,dim,1) * mask_scale(dim) - zu ) )
+             loop_begin = ind_array(1) - 1 + nzb ! MINLOC uses lower array bound 1
+             ind_array  = MINLOC( ABS( mask_loop(mid,dim,2) * mask_scale(dim) - zu ) )
+             loop_end   = ind_array(1) - 1 + nzb ! MINLOC uses lower array bound 1
+!
+!--          The following line assumes a constant vertical grid spacing within the vertical mask
+!--          range; it fails for vertical grid stretching.
+!--          Maybe revise later. Issue warning but continue execution. ABS(...) within the IF
+!--          statement is necessary because the default value of dz_stretch_level_start is
+!--          -9999999.9_wp.
              loop_stride = NINT( mask_loop(mid,dim,3) * mask_scale(dim) * ddxyz )
 
-             IF ( mask_loop(mid,dim,2) * mask_scale(dim) >                     &
-                  ABS( dz_stretch_level_start(1) ) )  THEN
-                WRITE ( message_string, '(A,I3,A,I1,A,F9.3,A,F8.2,3A)' )       &
-                     'mask_loop(',mid,',',dim,',2)=', mask_loop(mid,dim,2),    &
-                     ' exceeds dz_stretch_level=',dz_stretch_level_start(1),   &
-                     '.&Vertical mask locations will not ',                    &
-                     'match the desired heights within the stretching ',       &
-                     'region.'
+             IF ( mask_loop(mid,dim,2) * mask_scale(dim) > ABS( dz_stretch_level_start(1) ) )  THEN
+                WRITE ( message_string, '(A,I3,A,I1,A,F9.3,A,F8.2,3A)' )                           &
+                      'mask_loop(', mid, ',', dim, ',2)=', mask_loop(mid,dim,2),                   &
+                      ' exceeds dz_stretch_level=', dz_stretch_level_start(1),                     &
+                      '.&Vertical mask locations will not ',                                       &
+                      'match the desired heights within the stretching ', 'region.'
                 CALL message( 'init_masks', 'PA0334', 0, 1, 0, 6, 0 )
              ENDIF
@@ -748,6 +719,6 @@
           IF ( tmp2 < 0.0_wp )  mask_loop(mid,dim,2) = tmp2
 !
-!--       The default stride +/-1 (every grid point) applies if 
-!--       mask_loop(mid,dim,3) is not specified (its default is zero).
+!--       The default stride +/-1 (every grid point) applies if mask_loop(mid,dim,3) is not
+!--       specified (its default is zero).
           IF ( loop_stride == 0 )  THEN
              IF ( loop_end >= loop_begin )  THEN
@@ -759,6 +730,5 @@
           DO  m = loop_begin, loop_end, loop_stride
              count = count + 1
-             IF ( ( m >= lb  .AND.  m <= ub ) .OR.   &
-                  ( m == (nxyz+1) .AND. ub == nxyz )  )  THEN
+             IF ( ( m >= lb  .AND.  m <= ub ) .OR.  ( m == (nxyz+1) .AND. ub == nxyz )  )  THEN
                 IF ( count_l == 0 )  mask_start_l(mid,dim) = count
                 count_l = count_l + 1
